Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#69 Rev 331 : bug with Spell Checker and .tex detection

v0.2
closed-invalid
5
2009-05-01
2009-04-26
matttbe
No

Hello !

Before invoke the bug that I have, I would just say "Thank you very much !". I use your plugin since some months and I like it! 2.0-rc1 release didn't work because I'm on Jaunty with Gedit-Bazaar... but it's ok now !

My bugs :
Firstly, when I open the configuration menu, I have a error :
WARNING:Preferences:<value key='SpellCheckDictionary'> not found
ERROR:PreferencesWizard:Enchant library could not be imported. Spell checking will be disabled.

In fact, I can't choose a language (in the sub-menu "Miscellaneous"), I have an empty list... (ispell, spell, ifrench, aspell, python-gnome2-extras, aspell-fr are installed)

Secondly, there is a problem with tex documents detection. If I open a tex document from Gedit menu, it doesn't detect immediately that it's a tex document. I have to open a second tex document and switch to the first to have the Latex menu. But if I open many tex documents from a saved session, I have just the Latex menu for the first document and not immediately.

Thirdly, is it possible to change default short cuts ? Because I haven't a qwerty keyboard and I can't do <Ctrl><Alt>1 : I have to do <Shift><Ctrl><Alt>1 and it's not very easy ;-).

Thank you from Belgium !

PS : If you need some help to translate your plugin in French, I can help you !

Discussion

    • status: open --> open-invalid
     
  • Hi Matthieu,

    you need to install "enchant" and "python-enchant" (or similarly named packages) for Enchant and its Python bindings for the spell checker to run.

    You may configure the shortcut when you go to the plugin's settings and configure the tool you want to change.

    Michael

     
    • status: open-invalid --> closed-invalid